Name:           rkward
Version:        0.5.0a
Release:        4%{?dist}
Summary:        Graphical frontend for R language
Summary(fr):    Interface graphique pour le langage R 

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://rkward.sourceforge.net/ 
Source0:        http://downloads.sourceforge.net/rkward/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# PyQt-devel really?  that is qt(3) based. -- Rex
BuildRequires:  R-devel desktop-file-utils gettext PyQt-devel
BuildRequires:  kdelibs4-devel cmake pcre-devel
BuildRequires:  giflib-devel  
Requires:       php-cli

%{?kde4_macros_api:Requires: kde4-macros(api) = %{?kde4_macros_api}}

%description
RKWard aims to provide an easily extensible, easy to use IDE/GUI for the
R-project. RKWard tries to combine the power of the R-language with the
(relative) ease of use of commercial statistics tools. Long term plans
include integration with office suites

%description -l fr
Le but de RFWard est de fournir un environnement de développement intégré en
mode graphique, aisément extensible et simple d'utilisation. RKWard tente de
combiner la puissance du langage R et la (relative) simplicité d'utilisation
des outils statistiques commerciaux. L'objectif à long terme est de voir son
intégration dans les suites bureautiques.

%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-install \
  --vendor="" \
  --dir=%{buildroot}%{kde4_datadir}/applications/kde4 \
  %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

#/usr/share/applications/kde4/rkward.desktop
%find_lang %{name} || touch %{name}.lang

#This file is conflicting with the kdelibs one
rm -f $RPM_BUILD_ROOT%{_datadir}/kde4/apps/katepart/syntax/r.xml
# already in R-base package
rm -f $RPM_BUILD_ROOT%{_libdir}/R/library/R.css


## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde4-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
   # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/locolor
touch --no-create %{_datadir}/icons/crystalsvg

%postun
touch --no-create %{_datadir}/icons/locolor
touch --no-create %{_datadir}/icons/crystalsvg


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING TODO AUTHORS
%{_libdir}/R/library/%{name}/*
%{_datadir}/kde4/apps/%{name}/
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svgz
%{_bindir}/%{name}
%{_bindir}/%{name}.bin
%{_datadir}/doc/HTML/en/%{name}
%{_datadir}/kde4/apps/katepart/syntax/%{name}.xml

%changelog
* Wed Apr 02 2008 Rex Dieter <rdieter@fedoraproject.org> 0.5.0a-4
- BR: kdelibs4-devel
- d-f-i: fix double vendor

*Mon Feb 25 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0a-3
- Change kde-config to kde4-config to fix the build

*Mon Feb 25 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0a-2
- Change a BR to fix to build

*Mon Feb 25 2008 Pingou <pingoufc4@yahoo.fr> 0.5.0a-1
- Update to 0.5.0a for KDE4

*Sun Feb 10 2008 Pingou <pingoufc4@yahoo.fr> 0.4.9-3
- Change the Requires

*Tue Jan 15 2008 Pingou <pingoufc4@yahoo.fr> 0.4.9-2
- Change on the BR to fix rawhide build

*Tue Jan 15 2008 Pingou <pingoufc4@yahoo.fr> 0.4.9-1
- Update to 0.4.9

*Sun Jan 06 2008 Pingou <pingoufc4@yahoo.fr> 0.4.9pre1-1
- Update to 0.4.9pre1

*Tue Dec 11 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8a-4
- Add qt-devel to the BR

*Tue Dec 11 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8a-3
- Set the default environment for Qt

*Tue Dec 11 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8a-2
- Changes on the BR

*Mon Oct 22 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8a-1
- Update to 0.4.8a

*Mon Oct 22 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8-2
- Problem in CVS

*Mon Oct 22 2007 Pingou <pingoufc4@yahoo.fr> 0.4.8-1
- Update to 0.4.8 and R 2.6

*Tue Aug 07 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-3
-Remove the diff (was my mistakes)

*Tue Aug 07 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-3
-Add the %%post and %%postun section

*Tue Jul 03 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-2
-Correction on the build
-correction in the consistensy on the variables

*Thu Jun 14 2007 Pingou <pingoufc4@yahoo.fr> 0.4.7-1
-First build for Fedora

